Subject: Re: bug#17961: "od -c" producing numbers greater than 255 ?

From: Sebastian Pipping <[email-masked]>
Date: Mon, 07 Jul 2014 02:27:43 +0200

Hello!

Intersting, thanks for your reply.  For "-c" the man page reads

  "printable character or backslash escape"

I don't really see any mention of octal fallback in there :)
Personally, I would expect (and prefer) \x?? output for any
non-printable bytes from that description.  My vote too add that or at
least making the man page more precise about "-c", that would be cool.

I guess "od -t u1" is what I'll use in the meantime.

Best,

Sebastian